gexbot api
state

gex profile

Based on classified orderflow, this endpoint nets out imbalanced calls against imbalanced puts to locate areas of significant imbalanced exposure. It helps iden

GET/{TICKER}/state/{AGGREGATION_PERIOD}State Tier

chart

Powers the gex profile chart.

Based on classified orderflow, this endpoint nets out imbalanced calls against imbalanced puts to locate areas of significant imbalanced exposure. It helps identify high/low gamma nodes and call/put gamma regimes.

Subscription

Requires a State subscription or higher.

Request

Example: /SPX/state/zero

Headers

NameTypeDescription
AuthorizationstringRequired. Format: "Bearer <YOUR_API_KEY>"
User-AgentstringRequired. Identify your client application.
AcceptstringRequired. Set to "application/json".

Path parameters

NameTypeDescription
TICKERstringDesired ticker symbol (e.g., SPX).
AGGREGATION_PERIODstringAggregation period: full, zero, or one.

Response

FieldTypeDescription
timestampnumberThe Unix timestamp of when the data was generated.
tickerstringThe ticker symbol for the requested asset.
min_dtenumberThe days-to-expiration (DTE) for the nearest expiry.
sec_min_dtenumberThe days-to-expiration (DTE) for the next expiry.
spotnumberThe spot price of the underlying asset at the time of calculation.
zero_gammanumberThe center of the options complex, according to a spline interpolation on gex by volume.
major_pos_volnumberThe strike with the largest positive GEX imbalance (call GEX).
major_pos_oinumberNot applicable for State model, which is based on volume.
major_neg_volnumberThe strike with the largest negative GEX imbalance (put GEX).
major_neg_oinumberNot applicable for State model, which is based on volume.
strikesarrayAn array of strike data. Each inner array contains [strike, gex by volume, gex by open interest, priors]. "GEX by Volume" here refers to the GEX imbalance.
sum_gex_volnumberThe total GEX imbalance (net GEX) based on volume.
sum_gex_oinumberNot applicable for State model.
delta_risk_reversalnumberVestigial metric, discontinued.
max_priorsarrayAn array showing the strikes with the largest GEX imbalance change over various time intervals.
{
  "timestamp": 1753283591,
  "ticker": "SPX",
  "min_dte": 0,
  "sec_min_dte": 1,
  "spot": 6326.45,
  "zero_gamma": 0,
  "major_pos_vol": 6345,
  "major_pos_oi": 0,
  "major_neg_vol": 6280.08,
  "major_neg_oi": 0,
  "strikes": [
    [
      6110,
      -0.09,
      0,
      [
        -0.09,
        -0.09,
        -0.17,
        -0.17,
        -0.22
      ]
    ],
    [
      6115,
      -0.01,
      0,
      [
        -0.01,
        -0.01,
        -0.01,
        -0.01,
        0
      ]
    ],
    "...",
    [
      6540,
      0,
      0,
      [
        0,
        0,
        0,
        0,
        0
      ]
    ]
  ],
  "sum_gex_vol": -597.68386,
  "sum_gex_oi": 0,
  "delta_risk_reversal": 0,
  "max_priors": [
    [
      6340,
      -29.431
    ],
    [
      6335,
      97.079
    ],
    [
      6330,
      -257.694
    ],
    [
      6325,
      381.286
    ],
    [
      6340,
      -811.011
    ],
    [
      6340,
      -355.997
    ]
  ]
}
{
  "type": "object",
  "properties": {
    "timestamp": {
      "type": "integer",
      "format": "int64"
    },
    "ticker": {
      "type": "string",
      "minLength": 2,
      "maxLength": 5
    },
    "min_dte": {
      "type": "integer"
    },
    "sec_min_dte": {
      "type": "integer"
    },
    "spot": {
      "type": "number",
      "format": "double"
    },
    "zero_gamma": {
      "type": "number"
    },
    "major_pos_vol": {
      "type": "number"
    },
    "major_pos_oi": {
      "type": "number"
    },
    "major_neg_vol": {
      "type": "number"
    },
    "major_neg_oi": {
      "type": "number"
    },
    "strikes": {
      "type": "array",
      "items": {
        "type": "array"
      }
    },
    "sum_gex_vol": {
      "type": "number"
    },
    "sum_gex_oi": {
      "type": "number"
    },
    "delta_risk_reversal": {
      "type": "number"
    },
    "max_priors": {
      "type": "array",
      "items": {
        "type": "array"
      }
    }
  },
  "additionalProperties": false
}
type: object
properties:
  timestamp:
    type: integer
    format: int64
  ticker:
    type: string
    minLength: 2
    maxLength: 5
  min_dte:
    type: integer
  sec_min_dte:
    type: integer
  spot:
    type: number
    format: double
  zero_gamma:
    type: number
  major_pos_vol:
    type: number
  major_pos_oi:
    type: number
  major_neg_vol:
    type: number
  major_neg_oi:
    type: number
  strikes:
    type: array
    items:
      type: array
  sum_gex_vol:
    type: number
  sum_gex_oi:
    type: number
  delta_risk_reversal:
    type: number
  max_priors:
    type: array
    items:
      type: array
additionalProperties: false

On this page